TSMIMEHDRFIELDAPPEND(3ts)

NAME
TSMimeHdrFieldAppend - TSMimeHdrFieldAppend API function

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSMimeHdrFieldAppend(TSMBuffer bufp, TSMLoc hdr, TSMLoc field)

DESCRIPTION

Attaches a MIME field to a header. The header is represented by the bufp and hdr arguments which should have been obtained by a call to TSHttpTxnClientReqGet() or similar. If the field in field was created by calling TSMimeHdrFieldCreateNamed() the same bufp and hdr passed to that should be passed to this function.

Returns TS_SUCCESS if the field was attached to the header, TS_ERROR if it was not. Fields cannot be attached to read only headers.

COPYRIGHT
2025, dev@trafficserver.apache.org